body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a{
    text-decoration: none;
    color: #262626;
    font-family: roboto;
    font-size: 40px;
    border: 5px solid #5500FF;
    font-weight: 300;
    letter-spacing: 0;
    padding: 40px 80px;
    position: relative;
    transition: color 800ms 200ms;
    overflow: hidden;
    transition: all 1s;
}

a:hover{
    font-weight: 900;
    letter-spacing: 12px;
    border: 8px solid #5500FF;
}